import { CacheOptions } from './options';
/**
 * Provider of source code
 * @internal
 */
export declare type SourceCodeProvider = (file: string) => Promise<string>;
/**
 * Create source code provider.
 * @internal
 * @param cwd - working directory
 * @param transpile - typescript/es transpile function
 * @param options - transpile options
 */
export declare const createSourceCodeProvider: (cwd: string, options: CacheOptions, transpile: (file: string) => Promise<string>) => SourceCodeProvider;
//# sourceMappingURL=create-source-code-provider.d.ts.map