import { RequestHandler } from 'express';
import { ExpressTypescriptCompileOptions } from './options';
/**
 * Request handler which is responsible for serving es6 module source code.
 * @internal
 * @param config - configuration
 * @param sourceProvider - source provider
 */
export declare const modulesImportHandler: (config: Required<ExpressTypescriptCompileOptions>, sourceProvider: (file: string) => Promise<string>) => RequestHandler;
//# sourceMappingURL=modules-import-handler.d.ts.map