import { CompilerOptions } from 'typescript';
import { Logger } from './logger';
import { CompileOptions } from './options';
/**
 * Default compiler options.
 * @internal
 */
export declare const defaultCompilerOptions: CompilerOptions;
/**
 * Prepare typescript compiler options.
 * @internal
 * @param cwd - running dir
 * @param options - custom compiler options
 * @param logger - logger
 */
export declare const createCompilerOptions: (cwd: string, options?: CompileOptions, logger?: Logger) => CompilerOptions;
//# sourceMappingURL=create-compiler-options.d.ts.map